Connector Release 2.15 API

February 26, 2026

Before understanding the API release highlights, learn more about the API server URL to be used in your API requests by referring to the Know Your Qualys API Server URL section. For this API Release Notes, <qualys_gateway_url> is mentioned in the sample API requests.

JWT Token Generation using Client ID and Secret Key

You can generate the JWT access token by providing the client ID and client secret key in the following API request headers.

For more information on client ID and client secret key, refer to Support for Auth ID Client Management from UI.

JWT Access Token RequestJWT Access Token Request

API Request

 curl -X POST
'<qualys_base_url>/auth/oidc'
--header 'clientSecret: wJalrXUtnFEMI/K7MDENG+bPxRfiCYEXAMPLEKEY'
--header 'clientId: 123e4567-xxxx-xxxx-xxxx-426614174000'
--data-raw '' 

API Response (contains JWT access token)

eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.
eyJzdWIiOiJjbGllbnQxMjM0NTYiLCJzYwZXM
iOlsiYXBpLnJlxxxxxxxxxxxxxxxxxxUiXSwia
XNzIjoiaHR0cHxxxxxxxxxxxxxxxxxxLmNvbSI
sImV4cCI6MTcwMDAwMDAwMH0.SdXn3I6yTb-
JNk9LPjR8W9xAtH7dN3Mqf3HdJ5WnRfE
    

Once the JWT access token is successfully generated, you can use it to authenticate your API requests. Include the token in the Authorization header of API requests. 

The system validates the JWT token and authorizes the request based on the user's permissions. See the example below, where a user with API access calls an API to run a Snapshot scan.

Example API: Run Snapshot ScanExample API: Run Snapshot Scan

API Request

curl --location '<qualys_base_url>/ /conn/snapshot/v1.0/register-scanner-run'
--header 'Authorization: Bearer <Above bearer token> '
--header 'Content-Type: application/json'

Response

  {
 {
  "targetAccounts": [
    {
      "awsAccountId": "95xxxxxxxx75",
      "connectorId": "xxxxxxx"
    }
  ],
  "amis": {
    "ap-northeast-1": "ami-06xxxxxxxxxxxxa3",
    "ap-northeast-2": "ami-05xxxxxxxxxxxx26",
    "ap-northeast-3": "ami-07xxxxxxxxxxxxe7",
    "ap-south-1": "ami-05xxxxxxxxxxxx02",
    "ap-southeast-1": "ami-09xxxxxxxxxxxxf5"
  }
}

Introduced Support for AWS Organization Connector APIs

With this release, we have increased our API collection to add support for the AWS Organization connectors.

Test AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/test
Method POST
DTD or XSD changes Not Applicable

Test the Organization connector connection to AWS.

A successful Test connector is mandatory before proceeding with the create connector API. 

Input parameters

Parameter Mandatory / Required Data Type Description
connectorName Mandatory String Name assigned to the connector configuration.
externalId Mandatory String Unique external identifier used for cross-account access or resource mapping.
qualysAwsAccountId Mandatory String AWS account ID associated with Qualys deployment.
isGovCloud Mandatory Boolean Indicates whether the connector is deployed in AWS GovCloud.
isGlobalCloud Optional Boolean Indicates whether the connector is deployed in the AWS global cloud environment.
arn Mandatory String AWS IAM Role ARN used for authentication and authorization.

SampleSample

API Request

{
    "connectorName": "test 5",
    "externalId": "pod0-xxxxxxx-xxxxxxxxxxxxx",
    "qualysAwsAccountId": "xxxxxxxxxxxx",
    "isGovCloud": false,
    "isGlobalCloud": true,
    "arn": "arn:aws:iam::xxxxxxxxxxxx:role/pod_aws_org"
}

API Response

      {
    "responseMessage": "Connectivity with organization successful.",
    "responseCode": "SUCCESS"
}

Create AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/connector/create
Method POST
DTD or XSD changes Not Applicable

Creates an AWS Organization connector.

Input parameters

Parameter Mandatory / Required Data Type Description
name Mandatory String Name of the AWS Organization connector.
isRemediationEnabled Optional Boolean Specifies whether remediation is enabled for this connector.
connectorAppInfos Mandatory String List of connector applications and their identifiers.
orgRunFrequency Mandatory String Frequency (hours, minutes) for organization-level sync.
connectorRunFrequency Mandatory String Frequency (hours, minutes) for connector-level sync.
defaultTagIds Optional String List of tag IDs applied by default.
connectorPrefixName Optional String Prefix added to names of connector resources created in AWS.
isCPSEnabled Optional Boolean Specifies whether CPS feature is enabled.
externalId Mandatory String External ID used for secure cross-account access.
memberExternalId Mandatory String External ID used by AWS member accounts.
baseAwsAccountId Mandatory String Primary AWS account ID of the organization.
arn Mandatory String AWS IAM Role ARN used by the connector.
isGovCloudConfigured Mandatory Boolean Indicates if AWS GovCloud is configured for this connector.
isAllRegions Optional Boolean Specifies whether all AWS regions are enabled.
isCiRegionAll Optional Boolean Specifies whether all CI scan regions are enabled.
autoActivateVM Optional Boolean Automatically activates VM when scanning new assets.
includedMem Optional String List of included AWS OUs or member accounts.
excludedMem Optional String List of excluded AWS OUs or member accounts.

SampleSample

API Request

{
  "name": "test aws org",
  "isRemediationEnabled": false,
  "connectorAppInfos": [
    { "name": "AI", "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx" },
    { "name": "CI", "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx" },
    { "name": "CSA", "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx" }
  ],
  "orgRunFrequency": { "hours": 1, "minutes": 0 },
  "connectorRunFrequency": { "hours": 1, "minutes": 0 },
  "defaultTagIds": [],
  "connectorPrefixName": "test",
  "isCPSEnabled": false,
  "externalId": "pod04-3666071-1673432131439",
  "memberExternalId": "pod04-xxxxxxx-1673432131439",
  "baseAwsAccountId": "xxxxxxxxxxxx",
  "arn": "arn:aws:iam::xxxxxxxxxxxx:role/pod04_aws_org",
  "isGovCloudConfigured": false,
  "isAllRegions": false,
  "isCiRegionAll": false,
  "autoActivateVM": false,
  "includedMem": ["ou-xxxxxx"],
  "excludedMem": []
}
  

API Response

{
  "name": "test aws org",
  "isRemediationEnabled": false,
  "connectorAppInfos": [
    { "name": "AI", "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx" },
    { "name": "CI", "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx" },
    { "name": "CSA", "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx" }
  ],
  "orgRunFrequency": { "hours": 1, "minutes": 0 },
  "connectorRunFrequency": { "hours": 1, "minutes": 0 },
  "defaultTagIds": [],
  "connectorPrefixName": "test",
  "isCPSEnabled": false,
  "externalId": "pod-xxxxxxx-1673432131439",
  "memberExternalId": "pod-xxxxxxx-1673432131439",
  "baseAwsAccountId": "xxxxxxxxxxxx",
  "arn": "arn:aws:iam::xxxxxxxxxxxx:role/pod_aws_org",
  "isGovCloudConfigured": false,
  "isAllRegions": false,
  "isCiRegionAll": false,
  "autoActivateVM": false,
  "includedMem": ["ou-sjdu6cpx"],
  "excludedMem": []
}
  

List AWS Organization Connectors

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/connector
Method GET
DTD or XSD changes Not Applicable

Lists all AWS Organization connectors.

Input parameters

Parameter Mandatory / Required Data Type Description
pageNumber Optional Integer Specifies the page number to retrieve. Default is 0.
pageSize Optional Integer Defines the number of records per page. Default is 1000.
query Optional String Search/filter expression for narrowing down connector results.

SampleSample

API Request

GET /connectors/v1.0/aws/org/connector?pageNumber=0&pageSize=1000
  

API Response

{
  "currentPage": 0,
  "currentPageSize": 1000,
  "totalPages": 1,
  "numberOfElements": 3,
  "content": [
    {
      "id": xxxxxx,
      "organizationId": "orgid",
      "name": "TEST-CPS",
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "type": "AWS",
      "state": "FINISHED_ERRORS",
      "connectorCapabilities": [
        "CSA",
        "CI",
        "AI"
      ],
      "lastSynced": "2025-12-16T07:05:01.000+00:00",
      "numberOfConnectorsAttached": 2
    },
    {
      "id": xxxxxx,
      "organizationId": "orgid",
      "name": "test aws org",
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "type": "AWS",
      "state": "FINISHED_SUCCESS",
      "connectorCapabilities": [
        "CSA",
        "CI",
        "AI"
      ],
      "lastSynced": "2025-12-16T19:46:00.000+00:00",
      "numberOfConnectorsAttached": 0
    },
    {
      "id": xxxxxx,
      "organizationId": "orgid",
      "name": "test 5",
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxx",
      "type": "AWS",
      "state": "FINISHED_SUCCESS",
      "connectorCapabilities": [
        "CSA",
        "CI",
        "AI"
      ],
      "lastSynced": "2025-12-16T19:32:39.138+00:00",
      "numberOfConnectorsAttached": 0
    }
  ],
  "hasContent": true,
  "hasNext": false,
  "hasPrevious": false,
  "first": true,
  "last": true
}
  

Get AWS Organization Connector Details

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/{id}
Method GET
DTD or XSD changes Not Applicable

Gets AWS Organization connector details.

Input parameters

Parameter Mandatory / Required Data Type Description
id Mandatory Integer Unique identifier of the AWS Organization connector.

SampleSample

API Request

GET /connectors/v1.0/aws/org/xxxxxx
  

API Response

{
  "id": xxxxxx,
  "name": "test 5",
  "description": null,
  "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "orgRunFrequency": {
    "hours": 2,
    "minutes": 0
  },
  "connectorRunFrequency": {
    "hours": 2,
    "minutes": 0
  },
  "lastSynced": "2025-12-16T17:20:00.000+00:00",
  "nextSync": "2025-12-16T19:20:00.000+00:00",
  "type": "AWS",
  "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "userName": "username",
  "lastError": null,
  "state": "FINISHED_SUCCESS",
  "connectorPrefixName": "test",
  "defaultTagIds": [],
  "connectorAppInfos": [
    {
      "name": "AI",
      "identifier": "pod-xxxxxxx-xxxxxxxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    },
    {
      "name": "CI",
      "identifier": "pod-xxxxxxx-xxxxxxxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    },
    {
      "name": "CSA",
      "identifier": "pod0-xxxxxxx-xxxxxxxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    }
  ],
  "connectorCapabilities": [
    "AI",
    "CI",
    "CSA"
  ],
  "lastSuccessfulSync": "2025-12-16T17:20:00.000+00:00",
  "createdBy": "xxxxx",
  "organizationId": "orgid",
  "isCPSEnabled": false,
  "isSnapshotScanEnabled": false,
  "disabled": false,
  "deleted": false,
  "remediationEnabled": true
}
  

Edit AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/update/{organizationConnectorId}
Method PUT
DTD or XSD changes Not Applicable

Updates AWS Organization connector details.

Input parameters

Parameter Mandatory / Required Data Type Description
organizationConnectorId Mandatory Integer / Path Parameter Unique identifier of the AWS Organization connector to be updated.
name Mandatory String Name of the AWS Organization connector.
isRemediationEnabled Optional Boolean Enables or disables remediation for the connector.
connectorAppInfos Mandatory Array of Objects List of connector applications and their identifiers.
orgRunFrequency Optional Object Frequency (hours, minutes) of organization-level sync.
connectorRunFrequency Optional Object Frequency (hours, minutes) of connector-level sync.
defaultTagIds Optional Array Tag IDs assigned by default.
connectorPrefixName Mandatory String Prefix used for naming AWS resources created by the connector.
isCPSEnabled Optional Boolean Specifies whether CPS feature is enabled.
externalId Mandatory String External ID used for secure cross-account role assumption.
memberExternalId Optional String External ID for AWS member accounts.
baseAwsAccountId Optional String Base AWS account ID associated with the organization.
arn Mandatory String AWS IAM Role ARN assumed by the connector.
isGovCloudConfigured Mandatory Boolean Indicates whether AWS GovCloud is configured.
isAllRegions Optional Boolean Specifies whether all AWS regions are enabled.
isCiRegionAll Optional Boolean Specifies whether all CI scan regions are enabled.
autoActivateVM Optional Boolean Automatically activates VM scanning for discovered assets.
includedMem Optional Array List of included AWS OUs or member accounts.
excludedMem Optional Array List of excluded AWS OUs or member accounts.

SampleSample

API Request

{
  "name": "test aws org",
  "isRemediationEnabled": true,
  "connectorAppInfos": [
    { "name": "AI", "identifier": "xxxxx-xxxxxxx-xxxxxxxxxxxxx" },
    { "name": "CI", "identifier": "xxxxx-xxxxxxx-xxxxxxxxxxxxx" },
    { "name": "CSA", "identifier": "xxxxx-xxxxxxx-xxxxxxxxxxxxx" }
  ],
  "orgRunFrequency": { "hours": 2, "minutes": 0 },
  "connectorRunFrequency": { "hours": 2, "minutes": 0 },
  "defaultTagIds": [],
  "connectorPrefixName": "test",
  "isCPSEnabled": false,
  "externalId": "xxxxx-xxxxxxx-xxxxxxxxxxxxx",
  "memberExternalId": "xxxxx-xxxxxxx-xxxxxxxxxxxxx",
  "baseAwsAccountId": "xxxxxxxxxxxx",
  "arn": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "isGovCloudConfigured": false,
  "isAllRegions": false,
  "isCiRegionAll": false,
  "autoActivateVM": false,
  "includedMem": ["ou-12hpzogk"],
  "excludedMem": []
}
  

API Response

{
  "id": 102001,
  "name": "test aws org",
  "description": null,
  "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "orgRunFrequency": {
    "hours": 2,
    "minutes": 0
  },
  "connectorRunFrequency": {
    "hours": 2,
    "minutes": 0
  },
  "lastSynced": "2025-12-16T21:36:19.612+00:00",
  "nextSync": "2025-12-16T23:36:19.612+00:00",
  "type": "AWS",
  "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "userName": "username",
  "lastError": null,
  "state": "PENDING",
  "connectorPrefixName": "test",
  "defaultTagIds": [],
  "connectorAppInfos": [
    {
      "name": "AI",
      "identifier": "xxxxxxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    },
    {
      "name": "CI",
      "identifier": "xxxxxxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    },
    {
      "name": "CSA",
      "identifier": "xxxxxxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    }
  ],
  "connectorCapabilities": [
    "AI",
    "CI",
    "CSA"
  ],
  "lastSuccessfulSync": "2025-12-16T21:36:19.612+00:00",
  "createdBy": "xxxxxx",
  "organizationId": "r-zar5",
  "isCPSEnabled": false,
  "isSnapshotScanEnabled": false,
  "externalId": "xxxxxxxxxxxx",
  "memberExternalId": "xxxxxxxxxxxx",
  "baseAwsAccountId": "205767712438",
  "awsAccountId": "xxxxxxxxxxxx",
  "arn": "arn:aws:iam::xxxxxxxxxxxx",
  "autoActivateVM": false,
  "autoActivatePC": false,
  "autoActivateSCA": false,
  "autoActivateCertView": false,
  "autoActivateCV": false,
  "includedMem": [
    "ou-zar5-12hpzogk"
  ],
  "excludedMem": [],
  "connectorScanSetting": null,
  "connectorScanConfig": null,
  "disableConnectorsForDeletedManagementGroups": false,
  "createConnectorForNewSubscriptionsAutomatically": false,
  "remediationEnabled": true,
  "disabled": false,
  "deleted": false
}
  

Run AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/run
Method POST
DTD or XSD changes Not Applicable

Manual Run API triggers execution of an AWS Organization connector and creates member connectors.

Input parameters

Parameter Mandatory / Required Data Type Description
connectorId Mandatory String Unique identifier of the AWS Organization connector to run.

SampleSample

API Request

{
    "connectorId": "XXXXXX"
}

API Response

{
    "responseMessage": "A total of 1 Organization connectors have been successfully marked for running."
}

Enable/Disable AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/status/{action}
Method PUT
DTD or XSD changes Not Applicable

Update the enable/disable status of an AWS Organization connector.

Input parameters

Parameter Mandatory / Required Data Type Description
action Mandatory String Defines the action to apply to the connector. Possible values:
  • ENABLE – Enable the connector
  • DISABLE – Disable the connector

SampleSample

API Request

{
  "action": "ENABLE xxxxxx"
}

API Response

{
  "currentPage": 0,
  "currentPageSize": 1,
  "totalPages": 1,
  "numberOfElements": 1,
  "content": [
    {
      "id": "XXXXXX",
      "organizationId": "r-zar5",
      "name": "test 5",
      "connectorPrefixName": "test",
      "runFrequency": "120",
      "connectorRunFrequency": "120",
      "lastSynced": "2025-12-16T19:32:39.138+00:00",
      "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "userName": "username",
      "type": "AWS",
      "isDeleted": false,
      "isDisabled": true,
      "state": "FINISHED_SUCCESS",
      "nextSync": "2025-12-16T21:32:39.138+00:00",
      "isRemediationEnabled": true,
      "organizationName": "Root",
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "isAssignStaticTagToAssetsPulledByThatConnector": false,
      "isAssignStaticTagToConnectors": false,
      "connectorAppInfos": [
        {
          "name": "AI",
          "identifier": "xxxxxxxx",
          "tagId": null,
          "isTagAttachedToOrgConnector": null,
          "tagMetadata": null
        },
        {
          "name": "CI",
          "identifier": "xxxxxxxx",
          "tagId": null,
          "isTagAttachedToOrgConnector": null,
          "tagMetadata": null
        },
        {
          "name": "CSA",
          "identifier": "xxxxxxxx",
          "tagId": null,
          "isTagAttachedToOrgConnector": null,
          "tagMetadata": null
        }
      ],
      "defaultTagIds": [],
      "isCreateConnectorForNewSubscriptionsAutomatically": false,
      "isDisableConnectorsForDeletedManagementGroups": false,
      "isCreateStaticTagsForManagementGroups": false,
      "memberConfigurations": {
        "includedMembers": [
          "ou-zar5-12hpzogk"
        ],
        "excludedMembers": []
      },
      "createStaticTagsForManagementGroups": false,
      "disableConnectorsForDeletedManagementGroups": false,
      "createConnectorForNewSubscriptionsAutomatically": false
    }
  ],
  "hasContent": true,
  "hasNext": false,
  "hasPrevious": false,
  "first": true,
  "last": true
}

Detach AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/connector/detach
Method PUT
DTD or XSD changes Not Applicable

Detach a member connector from an AWS Organization (ORG) connector.

Input parameters

Parameter Mandatory / Required Data Type Description
action Mandatory String Operation and identifier to detach the member connector. Format:
  • DETACH <ConnectorId>
Example: DETACH 4xxxxx

SampleSample

API Request

{
  "action": "DETACH 4xxxxx"
}

API Response

{
  "currentPage": 0,
  "currentPageSize": 1,
  "numberOfElements": 1,
  "content": [
    {
      "id": 4xxxxx,
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "username": "username",
      "name": "CPS-de_xxxxxxxxxxxx",
      "description": "",
      "defaultTagIds": [],
      "state": "QUEUED",
      "cloudType": "AWS",
      "isRemediationEnabled": false,
      "isDisabled": false,
      "isDeleted": false,
      "scanUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "activatedModules": [
        "QWEB_VM",
        "CLOUDVIEW"
      ],
      "connectorAppInfos": [
        {
          "name": "AI",
          "identifier": "xxxxxxxx",
          "tagId": null,
          "isTagAttachedToOrgConnector": null,
          "tagMetadata": null
        },
        {
          "name": "CSA",
          "identifier": "xxxxxxxx",
          "tagId": null,
          "isTagAttachedToOrgConnector": null,
          "tagMetadata": null
        },
        {
          "name": "CI",
          "identifier": "xxxxxxxx",
          "tagId": null,
          "isTagAttachedToOrgConnector": null,
          "tagMetadata": null
        }
      ],
      "lastSynced": "2025-12-16T07:12:00.000+00:00",
      "isAttachedToOrgConnector": false,
      "organizationId": null,
      "organizationConnectorId": null,
      "parentId": null
    }
  ],
  "hasContent": true,
  "hasNext": false,
  "hasPrevious": false,
  "scrollId": null,
  "first": true,
  "last": true
}

Delete AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/connector/{organizationConnectorId}
Method DELETE
DTD or XSD changes Not Applicable

Delete an AWS Organization (ORG) Connector using its unique connector identifier.

Input parameters

Parameter Mandatory / Required Data Type Description
organizationConnectorId Mandatory String / Integer Unique identifier of the ORG connector to be deleted.
Example: 123456

SampleSample

API Request

DELETE /connectors/v1.0/aws/org/connector/xxxxxx

API Response

"Successfully Deleted"

Attach AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/{orgConnectorId}/connector/{connectorUuid}/attach
Method PUT
DTD or XSD changes Not Applicable

Attach a member connector to an AWS Organization (ORG) connector.

Input parameters

Parameter Mandatory / Required Data Type Description
orgConnectorId Mandatory String / Integer Unique identifier of the AWS ORG connector.
Example: xxxxx
connectorUuid Mandatory String UUID of the member connector to be attached.
Example: 8eede555-xxxx-xxxx-xxxx-3a72545e9875

Attaches member connector to ORG connector

SampleSample

API Request

PUT /connectors/v1.0/aws/org/84064/connector/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/attach

API Response

{
  "id": xxxxxx,
  "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "username": "username",
  "name": "CPS-de_xxxxxxxxxxxx",
  "description": "",
  "defaultTagIds": [],
  "state": "FINISHED_ERRORS",
  "cloudType": "AWS",
  "isRemediationEnabled": false,
  "isDisabled": false,
  "isDeleted": false,
  "scanUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "activatedModules": [
    "QWEB_VM",
    "CLOUDVIEW"
  ],
  "connectorAppInfos": [
    {
      "name": "AI",
      "identifier": "xxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    },
    {
      "name": "CSA",
      "identifier": "xxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    },
    {
      "name": "CI",
      "identifier": "xxxxxxxx",
      "tagId": null,
      "isTagAttachedToOrgConnector": null,
      "tagMetadata": null
    }
  ],
  "lastSynced": "2025-12-16T07:39:17.000+00:00",
  "isAttachedToOrgConnector": true,
  "organizationId": null,
  "organizationConnectorId": xxxxx,
  "parentId": "ou-zar5-val25l17"
}

Get Valid ORG Connectors for Attach

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/connector/{connectorUuid}/valid
Method GET
DTD or XSD changes Not Applicable

Retrieve all valid AWS Organization connectors that can be attached to a specified member connector.

Input parameters

Parameter Mandatory / Required Data Type Description
connectorUuid Mandatory String Unique identifier of the member connector for which valid ORG connectors must be retrieved.
Example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx

SampleSample

API Request


GET /connectors/v1.0/aws/org/connector/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/valid
  

API Response


{
    "currentPage": 0,
    "currentPageSize": 1000,
    "totalPages": 1,
    "numberOfElements": 1,
    "content": [
        {
            "id": xxxxx,
            "organizationId": "xxxxxx",
            "name": "TEST-CPS",
            "connectorPrefixName": "CPS-de",
            "runFrequency": "1440",
            "connectorRunFrequency": "1440",
            "lastSynced": "2025-12-16T07:05:01.000+00:00",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userName": "quays_sr5",
            "type": "AWS",
            "isDeleted": false,
            "isDisabled": false,
            "description": "",
            "state": "FINISHED_ERRORS",
            "nextSync": "2025-12-17T07:05:01.000+00:00",
            "isRemediationEnabled": false,
            "organizationName": "Root",
            "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "isAssignStaticTagToAssetsPulledByThatConnector": false,
            "isAssignStaticTagToConnectors": false,
            "connectorAppInfos": [
                {
                    "name": "AI",
                    "identifier": "arsh_memb",
                    "tagId": null,
                    "isTagAttachedToOrgConnector": null,
                    "tagMetadata": null
                },
                {
                    "name": "CI",
                    "identifier": "arsh_memb",
                    "tagId": null,
                    "isTagAttachedToOrgConnector": null,
                    "tagMetadata": null
                },
                {
                    "name": "CSA",
                    "identifier": "arsh_memb",
                    "tagId": null,
                    "isTagAttachedToOrgConnector": null,
                    "tagMetadata": null
                }
            ],
            "defaultTagIds": [],
            "isCreateConnectorForNewSubscriptionsAutomatically": true,
            "isDisableConnectorsForDeletedManagementGroups": true,
            "isCreateStaticTagsForManagementGroups": false,
            "memberConfigurations": {
                "includedMembers": [
                    "ou-zar5-val25l17"
                ],
                "excludedMembers": []
            },
            "createStaticTagsForManagementGroups": false,
            "disableConnectorsForDeletedManagementGroups": true,
            "createConnectorForNewSubscriptionsAutomatically": true
        }
    ],
    "hasContent": true,
    "hasNext": false,
    "hasPrevious": false,
    "first": true,
    "last": true
}
  

Get Last Job Summary of AWS Organization Connector

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/{organizationConnectorId}/job/summary/latest
Method GET
DTD or XSD changes Not Applicable

Retrieve the most recent job summary for the specified AWS Organization connector.

Input parameters

Parameter Mandatory / Required Data Type Description
organizationConnectorId Mandatory String Unique identifier of the AWS Organization connector whose latest job summary must be retrieved.
Example: xxxxx

SampleSample

API Request


GET /connectors/v1.0/aws/org/xxxxx/job/summary/latest
  

API Response


{
  "currentPage": 0,
  "currentPageSize": 1000,
  "totalPages": 0,
  "numberOfElements": 0,
  "content": [],
  "hasContent": false,
  "hasNext": false,
  "hasPrevious": false,
  "first": true,
  "last": true
}
  

Get AWS OU Details

New or Updated API New
API Endpoint (New) /connectors/v1.0/aws/org/ouList
Method POST
DTD or XSD changes Not Applicable

Retrieve AWS Organization Unit (OU) details with pagination support for the specified AWS Organization connector context.

Input parameters

Parameter Mandatory / Required Data Type Description
connectorName Mandatory String Name of the AWS Organization connector configuration context. Example: test aws org
offset Optional Integer Zero-based index from which to start returning results. Example: 0
limit Optional Integer Maximum number of records to return in the response. Example: 100
rootId Mandatory String AWS Organizations root identifier to scope the OU listing. Example: r-zar5

SampleSample

API Request


POST /connectors/v1.0/aws/org/ouList
{
  "connectorName": "test aws org",
  "offset": 0,
  "limit": 100,
  "rootId": "r-zar5"
}
  

API Response


{
    "currentPage": 0,
    "currentPageSize": 100,
    "totalPages": 1,
    "numberOfElements": 58,
    "content": [
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "r-zar5",
            "ouName": "Root",
            "ouPath": "",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-re8jdcs3",
            "ouName": "100 accounts",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-b31d4jbv",
            "ouName": "AMI Scanning",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-qspjmx6d",
            "ouName": "Arsh Event Bridge",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-1g9evo7x",
            "ouName": "Arsh automation snapshot accounts",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-1eeviqmc",
            "ouName": "Empty",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "3xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-bd8tnivz",
            "ouName": "JITESH_ORG",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-12hpzogk",
            "ouName": "Namrata",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-1byq8b50",
            "ouName": "ORG_Automation",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-eadyu4f2",
            "ouName": "Performance",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-hs4xjnyr",
            "ouName": "ProductManagement",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-zz2n9ejc",
            "ouName": "qflow perf",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        
    ],
    "hasContent": true,
    "hasNext": false,
    "hasPrevious": false,
    "first": true,
    "last": true
}